Subject: Re: bug#55016: 28.1; xref-find-references finds no matches if project dir contains a space

From: Dmitry Gutov <[email-masked]>
Date: Mon, 25 Apr 2022 05:08:56 +0300

On 24.04.2022 08:31, Eli Zaretskii wrote:
>> (Should this also use 'file-name-unquote'?)
> I'm not sure I follow: where would we use that and for what purpose?

xref-matches-in-directory uses it since the discussion in bug#47799.

To... obtain a local directory name which would be understood by the 
shell, I guess?

It should make sense for symref/grep.el to also do it, but if it should, 
I'm surprised this kind of problem has never been reported. bug#47799 is 
not very new, after all.

Philipp? Does xref-find-references work fine for you inside directories 
that are supposed to be quoted? I'm not sure how this works, TBH, e.g. 
where the quoted file names usually come from.